/*
 * @Date: 2022-01-19 10:08:26
 * @LastEditors: JinxChen
 * @LastEditTime: 2022-02-14 15:29:30
 * @FilePath: \alipay-scan-code-front-end\src\store\index.js
 * @description: 配置store
 */
import Vue from 'vue';
import Vuex from 'vuex';
/* import prefix from '@/store/prefix'; */
import { isNotNull } from "../utils/index"
Vue.use(Vuex);
export default new Vuex.Store({
    state: {
        goodsNo: '',
        userId: '',
        price: '',
        count: '',
        },
    mutations: {
        goodsNo(state, goodsNo) {
            state.goodsNo = goodsNo;
            window.localStorage[ 'goodsNo' ] = goodsNo;
        },
        userId(state, userId) {
            state.userId = userId;
            window.localStorage[ 'userId' ] = userId;
        },
        price(state, price) {
            state.price = price;
            window.localStorage[ 'price' ] = price;
        },
        count(state, count) {
            state.count = count;
            window.localStorage[ 'count' ] = count;
        },
    },
    getters: {
        goodsNo: state => {
            if (isNotNull(state.goodsNo)) return state.goodsNo;
            else return window.localStorage[ 'goodsNo' ] == null ? '' : window.localStorage[ 'goodsNo' ];
        },
        userId: state => {
            if (isNotNull(state.userId)) return state.userId;
            else return window.localStorage[ 'userId' ] == null ? '' : window.localStorage[ 'userId' ];
        },
        price: state => {
            if (isNotNull(state.price)) return state.price;
            else return window.localStorage[ 'price' ] == null ? '' : window.localStorage[ 'price' ];
        },
        count: state => {
            if (isNotNull(state.count)) return state.count;
            else return window.localStorage[ 'count' ] == null ? '' : window.localStorage[ 'count' ];
        },
    },

    actions: {},
    modules: {}
})
